com.jscape.inet.mft

## Class Contact

- java.lang.Object
- - com.jscape.inet.mft.Contact

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class Contact
      extends java.lang.Object
      implements java.io.Serializable, com.jscape.util.db.IntVersioned

  Author:
    Roman Sheshunov
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contact()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `Contact(Contact that)`
    `Contact(java.lang.String id, java.lang.String name, java.lang.String emailAddress)`
    `Contact(java.lang.String id, java.lang.String name, java.lang.String email, java.lang.String company, java.lang.String owner, java.lang.String[] tags, long creationDate, int version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getCompany()`
    `long` | `getCreationDate()`
    `java.lang.String` | `getEmail()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getOwner()`
    `java.lang.String[]` | `getTags()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `isPublic()`
    `void` | `setCompany(java.lang.String value)`
    `void` | `setCreationDate(long value)`
    `void` | `setEmail(java.lang.String value)`
    `void` | `setId(java.lang.String value)`
    `void` | `setName(java.lang.String value)`
    `void` | `setOwner(java.lang.String value)`
    `void` | `setPublic()`
    `void` | `setTags(java.lang.String[] value)`
    `void` | `setVersion(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Contact

          public Contact(java.lang.String id,
                         java.lang.String name,
                         java.lang.String email,
                         java.lang.String company,
                         java.lang.String owner,
                         java.lang.String[] tags,
                         long creationDate,
                         int version)

    - #### Contact

          public Contact(java.lang.String id,
                         java.lang.String name,
                         java.lang.String emailAddress)

    - #### Contact

          public Contact(Contact that)

    - #### Contact

          public Contact()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String value)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String value)

    - #### getEmail

          public java.lang.String getEmail()

    - #### setEmail

          public void setEmail(java.lang.String value)

    - #### getCompany

          public java.lang.String getCompany()

    - #### setCompany

          public void setCompany(java.lang.String value)

    - #### getOwner

          public java.lang.String getOwner()

    - #### setOwner

          public void setOwner(java.lang.String value)

    - #### isPublic

          public boolean isPublic()

    - #### setPublic

          public void setPublic()

    - #### getTags

          public java.lang.String[] getTags()

    - #### setTags

          public void setTags(java.lang.String[] value)

    - #### getCreationDate

          public long getCreationDate()

    - #### setCreationDate

          public void setCreationDate(long value)

    - #### getVersion

          public int getVersion()

      Specified by:
        `getVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### setVersion

          public void setVersion(int value)

      Specified by:
        `setVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.